<?php 
$type = "xml";  
$id = "allied";  
$pass = "allied181";  
$lang = "English";  
$mask = "Outreach";  // Data for text message  
$to = "923084477198";  
$message = "Test with an ampersand (&) and a 5 note";  
$message = urlencode($message); // Prepare data for POST request  
$data = "id=".$id."&pass=".$pass."&msg=".$message."&to=".$to."&lang=".$lang."&mask=".$mask."&type=".$type;  
// Send the POST request with cURL    
$loginpassw = 'allied:allied181';  
//your proxy login and password here 
$proxy_ip = 'Proxy_Server'; //proxy IP here 
$proxy_port = 8080; //proxy port from your proxy list  
$ch = curl_init('http://www.outreach.pk/api/sendsms.php/sendsms/url'); 
curl_setopt($ch, CURLOPT_HEADER, 0); // no headers in the output 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // output to variable 
curl_setopt($ch, CURLOPT_POST, true);  
curl_setopt($ch, CURLOPT_POSTFIELDS, $data);  
curl_setopt($ch, CURLOPT_PROXYPORT, $proxy_port); 
curl_setopt($ch, CURLOPT_PROXYTYPE, 'HTTP'); 
curl_setopt($ch, CURLOPT_PROXY, $proxy_ip); 
curl_setopt($ch, CURLOPT_PROXYUSERPWD, $loginpassw); 
$data = curl_exec($ch); 
curl_close($ch); 
echo $data;
?>







http://outreach.pk/api/sendsms.php/sendsms/url?id=92300xxxxxxx&pass= xxxxxxxxxxxx &mask= Outreach&to=92300xxxxxxx&lang=English&msg=Hello&type=xml 